NameTokenization (BioJava-1.5-beta API)
Keywords: org.biojava.bio.seq.io.NameTokenization class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.io
Class NameTokenization

    java.lang.Object
      org.biojava.utils.Unchangeable
          org.biojava.bio.seq.io.WordTokenization
              org.biojava.bio.seq.io.NameTokenization

All Implemented Interfaces:
  Serializable, Annotatable, SymbolTokenization, Changeable

    public class NameTokenization

extends WordTokenization

Simple implementation of SymbolTokenization which uses the `name' field of the symbols. This class works with any non-cross-product FiniteAlphabet, and doesn't need any extra data to be provided.

Since:
  1.2
Author:
  Thomas Down
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.seq.io.SymbolTokenization
`SymbolTokenization.TokenType`

Nested classes/interfaces inherited from interface org.biojava.bio.Annotatable
`Annotatable.AnnotationForwarder`

Field Summary

Fields inherited from interface org.biojava.bio.seq.io.SymbolTokenization
`CHARACTER, FIXEDWIDTH, SEPARATED, UNKNOWN`

Fields inherited from interface org.biojava.bio.Annotatable
`ANNOTATION`

Constructor Summary
`NameTokenization(FiniteAlphabet fab)` Construct a new NameTokenization, defaulting to case-insensitive.
`NameTokenization(FiniteAlphabet fab, boolean caseSensitive)`

Method Summary
`protected void` | `finalize()`
`protected Map` | `getNameToSymbol()`
`Symbol` | `parseToken(String token)` Returns the symbol for a single token.
`String` | `tokenizeSymbol(Symbol s)` Return a token representing a single symbol.

Methods inherited from class org.biojava.bio.seq.io.WordTokenization
`getAlphabet, getAnnotation, getTokenType, parseStream, parseString, splitString, tokenizeSymbolList`

Methods inherited from class org.biojava.utils.Unchangeable
`addChangeListener, addChangeListener, addForwarder, getForwarders, getListeners, isUnchanging, removeChangeListener, removeChangeListener, removeForwarder`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Constructor Detail

### NameTokenization

    public NameTokenization(FiniteAlphabet fab,
                            boolean caseSensitive)

### NameTokenization

    public NameTokenization(FiniteAlphabet fab)

  Construct a new NameTokenization, defaulting to case-insensitive.

Method Detail

### finalize

    protected void finalize()
                     throws Throwable

  Overrides:
    `finalize` in class `Object`
  Throws:
    `Throwable`

### getNameToSymbol

    protected Map getNameToSymbol()

### parseToken

    public Symbol parseToken(String token)
                      throws IllegalSymbolException

  Description copied from interface: `SymbolTokenization`
  Returns the symbol for a single token.

  The Symbol will be a member of the alphabet. If the token is not recognized as mapping to a symbol, an exception will be thrown.

  Parameters:
    `token` - the token to retrieve a Symbol for
  Returns:
    the Symbol for that token
  Throws:
    `IllegalSymbolException` - if there is no Symbol for the token

### tokenizeSymbol

    public String tokenizeSymbol(Symbol s)
                          throws IllegalSymbolException

  Description copied from interface: `SymbolTokenization`
  Return a token representing a single symbol.

  Parameters:
    `s` - The symbol
  Throws:
    `IllegalSymbolException` - if the symbol isn't recognized.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD